# Uses of Class
org.apache.lucene.analysis.ko.dict.TokenInfoDictionary

Packages that use TokenInfoDictionary
Package
Description
org.apache.lucene.analysis.ko
Analyzer for Korean.
org.apache.lucene.analysis.ko.dict
Korean dictionary implementation.

- ## Uses of TokenInfoDictionary in org.apache.lucene.analysis.ko

  Constructors in org.apache.lucene.analysis.ko with parameters of type TokenInfoDictionary
  Modifier
  Constructor
  Description
  ``
  `KoreanTokenizer(AttributeFactory factory, TokenInfoDictionary systemDictionary, UnknownDictionary unkDictionary, ConnectionCosts connectionCosts, UserDictionary userDictionary, KoreanTokenizer.DecompoundMode mode, boolean outputUnknownUnigrams, boolean discardPunctuation)`
  Create a new KoreanTokenizer supplying a custom system dictionary and unknown dictionary.

- ## Uses of TokenInfoDictionary in org.apache.lucene.analysis.ko.dict

  Methods in org.apache.lucene.analysis.ko.dict that return TokenInfoDictionary
  Modifier and Type
  Method
  Description
  `static TokenInfoDictionary`
  TokenInfoDictionary.`getInstance()`